> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Delete Finding Exclusion

DELETE https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/finding-exclusions/{findingExclusionId}

Deletes a finding exclusion.

Deleting an exclusion has no effect on in-progress scans.


Reference: https://docs.eon.io/api/api-reference/threat-detection/finding-exclusions/delete-finding-exclusion

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project the finding exclusion is in. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.
- `findingExclusionId` (string, required) — ID of the finding exclusion to delete.

## Response

### 204

Finding exclusion deleted.

## Errors

### 404 Not Found Error

Finding exclusion wasn't found.

- `error` (string, optional)

## Examples

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/733888d8-2573-5f9a-b81d-21f051d24fda/finding-exclusions/findingExclusionId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/733888d8-2573-5f9a-b81d-21f051d24fda/finding-exclusions/findingExclusionId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://{account-domain}.console.eon.io/api/v1/projects/733888d8-2573-5f9a-b81d-21f051d24fda/finding-exclusions/findingExclusionId")
  .header("Authorization", "Bearer <token>")
  .asString();
```